Name:           libopensync-plugin-synce
Epoch:          1
Version:        0.22.1
Release:        20%{?dist}
Summary:        Synce plugin for libopensync to sync WM2003 devices

License:        LGPLv2+
URL:            http://www.synce.org
Source0:        http://sourceforge.net/projects/synce/files/SynCE/libopensync-plugin-synce-rra-0.22.1.tar.gz
Patch0:	        libopensync-plugin-synce-gcc46.patch

BuildRequires:  libopensync-devel = 1:0.22
BuildRequires:  librra-devel >= 0.14
BuildRequires:  librapi-devel >= 0.14
BuildRequires:  libmimedir-devel libmimedir-static
BuildRequires:  libtool

# see 244917
Obsoletes: syncekonnector <= 0.3.2-2

%description
%{summary}
For WM5+ devices use libopensync-plugin-synce-wm5.

%prep
%setup -q -n %{name}-rra-%{version}

%patch0 -p1 -b .gcc46


%build
%configure --disable-static
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install LIBTOOL=%{_bindir}/libtool DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name *.a -exec rm -f {} \;

%files
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/opensync/plugins/synce_plugin.so
%{_datadir}/opensync/defaults/synce-plugin

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 01 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22.1-5
- fix ftbfs (rhbz#715918)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec  7 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1:0.22.1-3
- Explicitly BR libmimedir-static in accordance with the Packaging
  Guidelines (libmimedir is still static-only).

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22.1-1
- version upgrade

* Thu Feb 12 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-2
- use versioned dependencies
- cleanup spec file

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-1
- revive: opensync.org version is needed for wm2003 sync

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.22-5
- fix license tag

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.22-4
- Rebuild for selinux ppc32 issue.

* Thu Jul 26 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.22-3
- add dist

* Fri Jul 20 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.22-2
- add build patch
- add obsoletes as discussed in #244917

* Wed Jun 20 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.22-1
- version upgrade
- fix BR

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-0.770svn
- initial version
